Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::script_node::set_metadata_listener Class Reference

`#include <openvrml/script.h>`

Inheritance diagram for openvrml::script_node::set_metadata_listener:

[legend]

List of all members.

## Detailed Description

`set_metadata` event listener.

For internal use only.

## Public Member Functions

| set_metadata_listener (script_node &node)
| Construct.
virtual | ~set_metadata_listener () throw ()
| Destroy.

## Private Member Functions

virtual const std::string | do_eventin_id () const throw ()
| Get the `eventIn` identifier.
virtual void | do_process_event (const sfnode &value, double timestamp) throw ( std::bad_alloc )
| Process an event.

## Constructor & Destructor Documentation

openvrml::script_node::set_metadata_listener::set_metadata_listener | ( | script_node & | node | ) | `[explicit]`

Construct.

Parameters:

  `[in]` | node | a reference to the containing `script_node`.

openvrml::script_node::set_metadata_listener::~set_metadata_listener | ( |  | ) | throw ()`[virtual]`

Destroy.

## Member Function Documentation

const std::string openvrml::script_node::set_metadata_listener::do_eventin_id | ( |  | ) | const throw ()`[private, virtual]`

Get the `eventIn` identifier.

Returns:
  the `eventIn` identifier.

Implements openvrml::node_event_listener.

void openvrml::script_node::set_metadata_listener::do_process_event | ( | const sfnode & | value,
|  | double | timestamp |
| ) |  |  | throw ( std::bad_alloc )`[private, virtual]`

Process an event.

Parameters:

  `[in]` | value | new metadata value.
  `[in]` | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.